# Uses of Class
javax.management.AttributeNotFoundException

Packages that use AttributeNotFoundException
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of AttributeNotFoundException in javax.management

Methods in javax.management that throw AttributeNotFoundException
Modifier and Type
Method
Description
`Object`
DynamicMBean.`getAttribute​(String attribute)`
Obtain the value of a specific attribute of the Dynamic MBean.
`Object`
MBeanServer.`getAttribute​(ObjectName name, String attribute)`
`Object`
MBeanServerConnection.`getAttribute​(ObjectName name, String attribute)`
Gets the value of a specific attribute of a named MBean.
`Object`
StandardMBean.`getAttribute​(String attribute)`
`void`
DynamicMBean.`setAttribute​(Attribute attribute)`
Set the value of a specific attribute of the Dynamic MBean.
`void`
MBeanServer.`setAttribute​(ObjectName name, Attribute attribute)`
`void`
MBeanServerConnection.`setAttribute​(ObjectName name, Attribute attribute)`
Sets the value of a specific attribute of a named MBean.
`void`
StandardMBean.`setAttribute​(Attribute attribute)`

## Uses of AttributeNotFoundException in javax.management.modelmbean

Methods in javax.management.modelmbean that throw AttributeNotFoundException
Modifier and Type
Method
Description
`Object`
RequiredModelMBean.`getAttribute​(String attrName)`
Returns the value of a specific attribute defined for this ModelMBean.
`void`
RequiredModelMBean.`setAttribute​(Attribute attribute)`
Sets the value of a specific attribute of a named ModelMBean.

## Uses of AttributeNotFoundException in javax.management.remote.rmi

Methods in javax.management.remote.rmi that throw AttributeNotFoundException
Modifier and Type
Method
Description
`Object`
RMIConnection.`getAttribute​(ObjectName name, String attribute, Subject delegationSubject)`
Handles the method `MBeanServerConnection.getAttribute(ObjectName, String)`.
`Object`
RMIConnectionImpl_Stub.`getAttribute​(ObjectName $param_ObjectName_1, String $param_String_2, Subject $param_Subject_3)`
`Object`
RMIConnectionImpl.`getAttribute​(ObjectName name, String attribute, Subject delegationSubject)`
`void`
RMIConnection.`setAttribute​(ObjectName name, MarshalledObject attribute, Subject delegationSubject)`
Handles the method `MBeanServerConnection.setAttribute(ObjectName, Attribute)`.
`void`
RMIConnectionImpl_Stub.`setAttribute​(ObjectName $param_ObjectName_1, MarshalledObject $param_MarshalledObject_2, Subject $param_Subject_3)`
`void`
RMIConnectionImpl.`setAttribute​(ObjectName name, MarshalledObject attribute, Subject delegationSubject)`